[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'DB' (#fcl)

# TDataSet.Last

Navigate forward to the last record

## Declaration

Source position: db.pas line 1707

`public procedure TDataSet.Last;`

## Description

Last puts the cursor at the last record in the dataset, fetching more records from the underlying database if needed. It is equivalent to moving to the last record and calling TDataset.Next. After a call to Last, the TDataset.EOF property will be True.

Calling this method will trigger the TDataset.BeforeScroll and TDataset.AfterScroll events.

## See also

TDataset.First |  | Position the dataset on the first record.
TDataset.Next |  | Go to the next record in the dataset.
TDataset.EOF |  | Indicates whether the last record has been reached.
TDataset.BeforeScroll |  | Event triggered before the cursor changes position.
TDataset.AfterScroll |  | Event triggered after the cursor has changed position.